<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head><title>Spring Security Example</title></head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<title>Getting Started Service Web Content</title>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
<body>
<div th:replace="nav.html :: body"></div>
<div class="container">
    <h1 align="center">Sign in</h1>
    <div style="width:600px;margin-left: auto;margin-right: auto;margin-top:24px;padding: 24px;">
        <div class="card">
            <div class="card-header">
                <i class="fa fa-user"></i> Please Login
            </div>
            <div class="card-block" style="padding: 24px;">
                <form name="f" th:action="@{/login}" method="post">
                    <fieldset>
                        <div class="form-group">
                            <label for="txtUsername">Username</label>
                            <input type="text" class="form-control" id="txtUsername" name="username"
                                   placeholder="Username">
                        </div>

                        <div class="form-group">
                            <label for="txtPassword">Password</label>
                            <input type="password" class="form-control" id="txtPassword" name="password"
                                   placeholder="Password">
                        </div>

                        <div class="form-actions" style="margin-top: 12px;">
                            <button type="submit" class="btn btn-success">Log in</button>
                        </div>
                    </fieldset>
                </form>
                <form th:action="@{/home}" method="GET">
                    <input type="submit" class="btn warning btn-block" style="margin-bottom: 10px"
                           value="Go to default view"/>
                </form>
            </div>
        </div>
    </div>
</div>
</body>
</html>